%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define firefox_lib %(pkg-config --variable=libdir firefox-gtkmozembed)

Summary:	Gnome panel revisited
Name:		gimmie
Version:	0.2.8
Release:	2%{?dist}
License:	LGPLv2 and GPLv2+
Group:		Applications/Engineering
URL:		http://beatnik.infogami.com/Gimmie
Source:		http://www.beatniksoftware.com/gimmie/releases/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	pygtk2-devel, libgnomecups-devel, gtk2-devel
BuildRequires:	gnome-menus-devel
BuildRequires:	gettext, perl(XML::Parser), intltool
BuildRequires:	gnome-python2-gconf, libsexy-devel

BuildRequires:	gecko-devel

Requires:	gnome-python2-gconf, gnome-python2-canvas
Requires:	gnome-python2-gnomedesktop, gnome-python2-libwnck
Requires:	gnome-python2-applet, gnome-python2-libegg
Requires:	gnome-python2-gnomekeyring, PyXML, python-sexy

Requires(pre):	GConf2
Requires(post):	GConf2
Requires(preun):GConf2

%description
Gimmie is an elegant way to think about how you use your desktop computer. 

%prep
%setup -q
# remove shebangs from the non-executable python files
sed -e '/^#!\//,1 d' -i gimmie/gimmie_bar.py gimmie/gimmie_threads.py
sed -i 's#/usr/lib/firefox#'%{firefox_lib}'#' gimmie/gimmie.in

%build
%configure --disable-schemas
make %{?_smp_mflags}
										
%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=%{buildroot} install

%find_lang gimmie

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gimmie.schemas >/dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/gimmie.schemas > /dev/null || :

touch --no-create %{_datadir}/icons/hicolor 
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gimmie.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor 
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f gimmie.lang
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/gimmie
%{_datadir}/icons/hicolor/*/apps/gimmie.*
%{_datadir}/pixmaps/gimmie.png
%{_datadir}/gnome-2.0/ui/GNOME_GimmieApplet.xml
%{_libdir}/bonobo/servers/GNOME_GimmieApplet.server
%{_libexecdir}/gimmie_applet
%{_sysconfdir}/gconf/schemas/gimmie.schemas
%{python_sitearch}/gimmie/

%changelog
* Sun Feb 10 2008 Deji Akingunola <dakingun@gmail.com> - 0.2.8-2
- Rebuild for gcc43

* Wed Nov 14 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.8-1
- New release

* Mon Jun 11 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.7-1
- New release

* Sat Mar 17 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.6-1
- This release fixes a couple of crashes in 0.2.5

* Sat Mar 17 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.5-1
- New release

* Tue Feb 07 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.4-1
- New release

* Tue Feb 07 2007 Deji Akingunola <dakingun@gmail.com> - 0.2.3-1
- First build for Fedora
